# Interface Column

interface Column {
column: string;
index: number;
is_default: boolean;
is_key?: boolean;
type: ColumnType;
}

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:3

#####
Index

### Properties

column
index
is_default
is_key?
type

##
Properties

### column

column: string

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:4

### index

index: number

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:7

### is_default

is_default: boolean

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:8

### `Optional` is_key

is_key?: boolean

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:6

### type

type: ColumnType

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:5